未分類

VS CodeのPHP Intelephense 1.3.0でファイルが走査されずエラーとなる

Tags: / / /
Written by Kishimoto

2019年12月03日ごろにIntelephenseのアップデートがあって、バグだとは思うのですが、関数やクラスが存在しませんとログが大量にでてしまったので、あれやこれやと調べてました。

やっとたどり着いた答えが以下のURLに載ってて、単純にバージョンをダウングレードしたらいいそうです。
laravel – Visual Studio Code PHP Intelephense Keep Showing Not Necessary Error – Stack Overflow

拡張機能のところから、Intelephenseで検索して、右クリックから「別のバージョンをインストール…」で1.2.3をインストールして、再読み込みしたら完了。

修正されるまでは、更新されないようにするしかないですね。

株式会社MIRAIでは、Webマーケティング・コンサルティングから
ホームページ制作・動画制作など、様々なご相談を承っております。

お仕事のご依頼・ご相談はこちら